# OpenSSHKnownHosts.Marker (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.verification
Enum OpenSSHKnownHosts.Marker

    java.lang.Object
      java.lang.Enum<OpenSSHKnownHosts.Marker>
          net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Marker

All Implemented Interfaces:
  Serializable, Comparable<OpenSSHKnownHosts.Marker>

Enclosing class:
  OpenSSHKnownHosts

    public static enum OpenSSHKnownHosts.Marker

extends Enum<OpenSSHKnownHosts.Marker>

Enum Constant Summary
`CA_CERT`
`REVOKED`

Method Summary
`static OpenSSHKnownHosts.Marker` `fromString(String str)`
`String` `getMarkerString()`
`static OpenSSHKnownHosts.Marker` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OpenSSHKnownHosts.Marker[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CA_CERT

    public static final OpenSSHKnownHosts.Marker CA_CERT

### REVOKED

    public static final OpenSSHKnownHosts.Marker REVOKED

Method Detail

### values

    public static OpenSSHKnownHosts.Marker[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OpenSSHKnownHosts.Marker c : OpenSSHKnownHosts.Marker.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OpenSSHKnownHosts.Marker valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMarkerString

    public String getMarkerString()

### fromString

    public static OpenSSHKnownHosts.Marker fromString(String str)

Copyright © 2009-2012. All Rights Reserved.